function pmf = poisspdf(y, lambda)
    % Funkce pro pravděpodobnostní funkci Poissonova rozdělení.
    % y - Pozorované hodnoty.
    % lambda - Parametr rozdělení.

    pmf = exp(-lambda) .* (lambda .^ y) ./ factorial(y);
end
